#include "CivHydrScheduling.h"

CivHydrScheduling::CivHydrScheduling(SchedulingType schedulingType)
	:mSchedulingType(schedulingType)
{

}

bool CivHydrScheduling::open()
{

}

bool CivHydrScheduling::close()
{

}

void CivHydrScheduling::updatePumpStatus(const map<string, int>& statusMap)
{

}

bool  CivHydrScheduling::compute()
{

}

void CivHydrScheduling::setPressMonitors(vector<string>& monitors)
{
	mPressMonitorMap = monitors;
}

void CivHydrScheduling::setFlowMonitor(vector<string>& monitors)
{
	mFlowMonitorMap = monitors;
}

void CivHydrScheduling::monitorsValue(SchedulingType schedulingType, vector<map<string, double>>& simulMap)
{
	switch (schedulingType)
	{
	case CivHydrScheduling::SchedulingFlow:
		simulMap = mMonitorPressSmulVal;
		break;
	case CivHydrScheduling::SchedulingPressure:
		simulMap = mMonitorFlowSmulVal;
		break;
	case CivHydrScheduling::SchedulingALL:
	default:
		break;
	}
}